## com.fasterxml.jackson.databind.introspect
Class BasicClassIntrospector

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.ClassIntrospector
          com.fasterxml.jackson.databind.introspect.BasicClassIntrospector

    public class BasicClassIntrospector

extends ClassIntrospector

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.introspect.ClassIntrospector
`ClassIntrospector.MixInResolver`

Field Summary
`protected static BasicBeanDescription` `BOOLEAN_DESC`
`static BasicClassIntrospector` `instance`
`protected static BasicBeanDescription` `INT_DESC`
`protected static BasicBeanDescription` `LONG_DESC`
`protected static BasicBeanDescription` `STRING_DESC`

Constructor Summary
`BasicClassIntrospector()`

Method Summary
`protected BasicBeanDescription` `_findCachedDesc(JavaType type)` Method called to see if type is one of core JDK types that we have cached for efficiency.
`protected POJOPropertiesCollector` `collectProperties(MapperConfig<?> config, JavaType type, ClassIntrospector.MixInResolver r, boolean forSerialization, String mutatorPrefix)`
`protected POJOPropertiesCollector` `collectPropertiesWithBuilder(MapperConfig<?> config, JavaType type, ClassIntrospector.MixInResolver r, boolean forSerialization)`
`protected POJOPropertiesCollector` `constructPropertyCollector(MapperConfig<?> config, AnnotatedClass ac, JavaType type, boolean forSerialization, String mutatorPrefix)` Overridable method called for creating `POJOPropertiesCollector` instance to use; override is needed if a custom sub-class is to be used.
`BasicBeanDescription` `forClassAnnotations(MapperConfig<?> cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that only has information regarding annotations class itself (or its supertypes) has, but nothing on methods or constructors.
`BasicBeanDescription` `forCreation(DeserializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has information necessary for creating instances of given class ("creator"), as well as class annotations, but no information on member methods
`BasicBeanDescription` `forDeserialization(DeserializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has all information needed for deserialization purposes.
`BasicBeanDescription` `forDeserializationWithBuilder(DeserializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has all information needed for constructing deserializers that use intermediate Builder objects.
`BasicBeanDescription` `forDirectClassAnnotations(MapperConfig<?> cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that only has information regarding annotations class itself has (but NOT including its supertypes), but nothing on methods or constructors.
`BasicBeanDescription` `forSerialization(SerializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has all information needed for serialization purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_DESC

    protected static final BasicBeanDescription STRING_DESC

### BOOLEAN_DESC

    protected static final BasicBeanDescription BOOLEAN_DESC

### INT_DESC

    protected static final BasicBeanDescription INT_DESC

### LONG_DESC

    protected static final BasicBeanDescription LONG_DESC

### instance

    public static final BasicClassIntrospector instance

Constructor Detail

### BasicClassIntrospector

    public BasicClassIntrospector()

Method Detail

### forSerialization

    public BasicBeanDescription forSerialization(SerializationConfig cfg,
                                                 JavaType type,
                                                 ClassIntrospector.MixInResolver r)

  Description copied from class: `ClassIntrospector`
  Factory method that constructs an introspector that has all information needed for serialization purposes.

  Specified by:
    `forSerialization` in class `ClassIntrospector`

### forDeserialization

    public BasicBeanDescription forDeserialization(DeserializationConfig cfg,
                                                   JavaType type,
                                                   ClassIntrospector.MixInResolver r)

  Description copied from class: `ClassIntrospector`
  Factory method that constructs an introspector that has all information needed for deserialization purposes.

  Specified by:
    `forDeserialization` in class `ClassIntrospector`

### forDeserializationWithBuilder

    public BasicBeanDescription forDeserializationWithBuilder(DeserializationConfig cfg,
                                                              JavaType type,
                                                              ClassIntrospector.MixInResolver r)

  Description copied from class: `ClassIntrospector`
  Factory method that constructs an introspector that has all information needed for constructing deserializers that use intermediate Builder objects.

  Specified by:
    `forDeserializationWithBuilder` in class `ClassIntrospector`

### forCreation

    public BasicBeanDescription forCreation(DeserializationConfig cfg,
                                            JavaType type,
                                            ClassIntrospector.MixInResolver r)

  Description copied from class: `ClassIntrospector`
  Factory method that constructs an introspector that has information necessary for creating instances of given class ("creator"), as well as class annotations, but no information on member methods

  Specified by:
    `forCreation` in class `ClassIntrospector`

### forClassAnnotations

    public BasicBeanDescription forClassAnnotations(MapperConfig<?> cfg,
                                                    JavaType type,
                                                    ClassIntrospector.MixInResolver r)

  Description copied from class: `ClassIntrospector`
  Factory method that constructs an introspector that only has information regarding annotations class itself (or its supertypes) has, but nothing on methods or constructors.

  Specified by:
    `forClassAnnotations` in class `ClassIntrospector`

### forDirectClassAnnotations

    public BasicBeanDescription forDirectClassAnnotations(MapperConfig<?> cfg,
                                                          JavaType type,
                                                          ClassIntrospector.MixInResolver r)

  Description copied from class: `ClassIntrospector`
  Factory method that constructs an introspector that only has information regarding annotations class itself has (but NOT including its supertypes), but nothing on methods or constructors.

  Specified by:
    `forDirectClassAnnotations` in class `ClassIntrospector`

### collectProperties

    protected POJOPropertiesCollector collectProperties(MapperConfig<?> config,
                                                        JavaType type,
                                                        ClassIntrospector.MixInResolver r,
                                                        boolean forSerialization,
                                                        String mutatorPrefix)

### collectPropertiesWithBuilder

    protected POJOPropertiesCollector collectPropertiesWithBuilder(MapperConfig<?> config,
                                                                   JavaType type,
                                                                   ClassIntrospector.MixInResolver r,
                                                                   boolean forSerialization)

### constructPropertyCollector

    protected POJOPropertiesCollector constructPropertyCollector(MapperConfig<?> config,
                                                                 AnnotatedClass ac,
                                                                 JavaType type,
                                                                 boolean forSerialization,
                                                                 String mutatorPrefix)

  Overridable method called for creating `POJOPropertiesCollector` instance to use; override is needed if a custom sub-class is to be used.

### _findCachedDesc

    protected BasicBeanDescription _findCachedDesc(JavaType type)

  Method called to see if type is one of core JDK types that we have cached for efficiency.

Copyright © 2012 fasterxml.com. All Rights Reserved.